unit main;
{$ifdef FPC}{$mode objfpc}{$h+}{$endif}
interface
uses
 mseglob,mseguiglob,mseguiintf,mseapplication,msestat,msemenus,msegui,
 msegraphics,msegraphutils,mseevent,mseclasses,mseforms,msedatabase,
 msesqlite3conn,sysutils,db,msebufdataset,msedb,msesqldb,msqldb,msedataedits,
 msedbedit,mseedit,msegrids,mseifiglob,mselookupbuffer,msestrings,msetypes,
 msesimplewidgets,msewidgets,msedispwidgets,msestatfile;

type
 tmainfo = class(tmainform)
   conn: tsqlite3connection;
   tra: tmsesqltransaction;
   query: tmsesqlquery;
   dataso: tmsedatasource;
   tdbnavigator1: tdbnavigator;
   tbutton1: tbutton;
   tbutton2: tbutton;
   tdbstringgrid1: tdbstringgrid;
   tidi: trealdisp;
   tstringedit1: tstringedit;
   tstatfile1: tstatfile;
   procedure opex(const sender: TObject);
   procedure cloex(const sender: TObject);
   procedure querysetexe(const sender: TObject; var avalue: msestring;
                   var accept: Boolean);
   procedure aftcloexe(DataSet: TDataSet);
 end;
var
 mainfo: tmainfo;
implementation
uses
 main_mfm,msesysutils,msereal;
 
procedure tmainfo.opex(const sender: TObject);
var
 ti: longword;
begin
 ti:= timestamp;
 query.active:= true;
 tidi.value:= (timestamp-ti)/1000000;
end;

procedure tmainfo.cloex(const sender: TObject);
begin
 query.active:= false;
end;

procedure tmainfo.querysetexe(const sender: TObject; var avalue: msestring;
               var accept: Boolean);
begin
 query.active:= false;
 query.sql.text:= avalue;
end;

procedure tmainfo.aftcloexe(DataSet: TDataSet);
begin
 tidi.value:= emptyreal;
end;

end.
